Assign Free Days to Employees in Planner
curl --request POST \
--url https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2026-02-10",
"to": "2026-02-12",
"employeeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"comments": "Personal day",
"ranges": [
{
"from": "09:00",
"to": "14:00"
}
]
}
'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days"
payload = {
"from": "2026-02-10",
"to": "2026-02-12",
"employeeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"comments": "Personal day",
"ranges": [
{
"from": "09:00",
"to": "14:00"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '2026-02-10',
to: '2026-02-12',
employeeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
comments: 'Personal day',
ranges: [{from: '09:00', to: '14:00'}]
})
};
fetch('https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/free-days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "",
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}Planners
Assign Free Days to Employees in Planner
Marks a date range as free days for a list of employees in the given planner. Optionally accepts comments and time ranges for the free days.
POST
/
schedule
/
v1
/
planners
/
{plannerId}
/
free-days
Assign Free Days to Employees in Planner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The planner ID
Body
application/json
Start of the range (Y-m-d). Inclusive.
Example:
"2026-02-10"
End of the range (Y-m-d). Inclusive. Max range: 3 years.
Example:
"2026-02-12"
Employees to assign the free days to.
Optional comments attached to each free day.
Maximum string length:
255Example:
"Personal day"
Optional time ranges that define partial free days. Must not overlap and must total less than 24 hours.
Show child attributes
Show child attributes
Was this page helpful?
⌘I